%define anolis_release 1
%bcond_without perl_Net_Ping_enables_optional_test

Name:           perl-Net-Ping
Version:        2.74
Release:        %{anolis_release}%{?dist}
Summary:        Check a remote host for reachability
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Ping/
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Net-Ping-%{version}.tar.gz
# Improve tests that need the Internet
Patch0:         Net-Ping-2.74-Use-non-routable-addreses-for-negative-tests.patch
Patch1:         Net-Ping-2.74-Disable-all-network-tests-with-NO_NETWORK_TESTING-1.patch
Patch2:         Net-Ping-2.74-Disable-all-network-tests-in-200_ping_tcp.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.2
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(IO::Socket::INET)
# Net::Ping::External not used at tests
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket) >= 2.007
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(vars)
# Win32 not used on Linux
# Tests:
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More)
# sudo not used
%if %{with perl_Net_Ping_enables_optional_test}
# Optional tests:
BuildRequires:  perl(:VERSION) >= 5.6
# Class::XSAccessor not used
BuildRequires:  perl(IO::Socket)
# List::MoreUtils not used
# Module::CPANTS::Kwalitee::Uses not used
# Text::CSV_XS not used
# Test::CPAN::Meta not used
# Test::Kwalitee not used
BuildRequires:  perl(Test::Pod) >= 1.22
# Test::Pod::Coverage not used
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(IO::Socket::INET)
# Keep Net::Ping::External optional
Suggests:       perl(Net::Ping::External)
Conflicts:      perl < 4:5.22.0-350

%description
Net::Ping module contains methods to test the reachability of remote hosts on
a network.

%prep
%setup -q -n Net-Ping-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
unset PERL_CORE
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING IS_MAINTAINER NET_PING_FAIL_IP PERL_TEST_Net_Ping \
    TEST_PING_HOST TEST_PING6_HOST
export NO_NETWORK_TESTING=1
make test

%files
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Apr 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> 2.74-1
- Init from upstream version 2.74
